cordova.define("it.readbeyond.mediarb.MediaErrorRB", function(require, exports, module) { /**
 * This class contains information about any Media errors.
*/
/*
 According to :: http://dev.w3.org/html5/spec-author-view/video.html#mediaerror
 We should never be creating these objects, we should just implement the interface
 which has 1 property for an instance, 'code'

 instead of doing :
    errorCallbackFunction( new MediaErrorRB(3,'msg') );
we should simply use a literal :
    errorCallbackFunction( {'code':3} );
 */

 var _MediaErrorRB = window.MediaErrorRB;


if(!_MediaErrorRB) {
    window.MediaErrorRB = _MediaErrorRB = function(code, msg) {
        this.code = (typeof code != 'undefined') ? code : null;
        this.message = msg || ""; // message is NON-standard! do not use!
    };
}

_MediaErrorRB.MEDIA_ERR_NONE_ACTIVE    = _MediaErrorRB.MEDIA_ERR_NONE_ACTIVE    || 0;
_MediaErrorRB.MEDIA_ERR_ABORTED        = _MediaErrorRB.MEDIA_ERR_ABORTED        || 1;
_MediaErrorRB.MEDIA_ERR_NETWORK        = _MediaErrorRB.MEDIA_ERR_NETWORK        || 2;
_MediaErrorRB.MEDIA_ERR_DECODE         = _MediaErrorRB.MEDIA_ERR_DECODE         || 3;
_MediaErrorRB.MEDIA_ERR_NONE_SUPPORTED = _MediaErrorRB.MEDIA_ERR_NONE_SUPPORTED || 4;
// TODO: MediaErrorRB.MEDIA_ERR_NONE_SUPPORTED is legacy, the W3 spec now defines it as below.
// as defined by http://dev.w3.org/html5/spec-author-view/video.html#error-codes
_MediaErrorRB.MEDIA_ERR_SRC_NOT_SUPPORTED = _MediaErrorRB.MEDIA_ERR_SRC_NOT_SUPPORTED || 4;

module.exports = _MediaErrorRB;


});
